<ActionBar>
    <Label text="Tienda Virtual"></Label>

</ActionBar>


<StackLayout backgroundColor="#DAF7A6">
    <Label textAlignment="center" text="Productos" class="fas titul_big"></Label>
    <Button text="Regresar..." [nsRouterLink]="['/tienda']" pageTransition="slideRight"></Button>
    <Button text="Leer productos" (tap)="obtenerTodos()"></Button>


    <StackLayout >
        <Label [text]="mensaje" padding="5"></Label>
        <ListView height="250" [items]="productos" (itemTap)="onItemTap($event)" class="list-group">
            <ng-template let-item="item" let-i="index" let-odd="odd" let-even="even">
                <GridLayout columns="30, 60, 100, *, *, auto, auto">
                    <Label [text]="item.id" col="0" class="fas list-group-item"></Label>
                    <Image [src]="item.foto" width="15%" col="1"></Image>
                    <Label [text]="item.nombre" col="2" class="fas list-group-item"></Label>
                    <Label [text]="item.stock" col="3" class="fas list-group-item"></Label>
                    <Label [text]="item.precio" col="4" class="fas list-group-item texto_derecha"></Label>
                    <Label text="&#xf2ed;" col="5" class="far list-group-item" (tap)="eliminar(item)"></Label>
                    <Label text="&#xf044;" col="6" class="far list-group-item" (tap)="editar(item)"></Label>
                </GridLayout>
            </ng-template>
        </ListView>
    </StackLayout>

    <Button text="Crear producto" (tap)="agregar()" class="-primary"></Button>

</StackLayout>
